const OracleService = require('../service/OracleService');

class adqVerifItVendaImpos {
  constructor() {
    this.GET_ADQVERIFITVENDAIMPOS = `
        SELECT CDFILIAL
          FROM ITVENDAIMPOS
         WHERE CDFILIAL = :P_CDFILIAL
           AND CDCAIXA = :P_CDCAIXA
           AND NRSEQVENDA = :P_NRSEQVENDA
           AND NRSEQUITVEND = :P_NRSEQUITVEND
           AND NRSEQITIMPOS = :P_NRSEQITIMPOS
    `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFITVENDAIMPOS, params);
    });
  }
}

module.exports = new adqVerifItVendaImpos();
