
const OracleService = require('../service/OracleService')

class adqSrvObsItemVendaEstModel {
    constructor() {
        this.GET_ADQSRVOBSITEMVENDAEST = `
            SELECT *
              FROM OBSITEMVENDAEST
             WHERE CDFILIAL     = ''
               AND CDCAIXA= ''
               AND NRSEQVENDA   = ''
               AND NRSEQUITVEND = ''
               AND CDPRODUTO    = ''
               AND CDGRPOCOR    = ''
               AND CDOCORR= ''
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVOBSITEMVENDAEST, params);
        })
    }
}  

module.exports = new adqSrvObsItemVendaEstModel();