
const OracleService = require('../service/OracleService')

class adqVerifInutilizaNfceModel {
    constructor() {
        this.GET_ADQVERIFINUTILIZANFCE = `
            SELECT
               *
            FROM
               INUTILIZANFCE
            WHERE
               (CDFILIAL = :P_CDFILIAL) AND
               (CDCAIXA  = :P_CDCAIXA ) AND
               (NRNOTAFISCALCE = :P_NRNOTAFISCALCE)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFINUTILIZANFCE, params);
        })
    }
}  

module.exports = new adqVerifInutilizaNfceModel();