
const OracleService = require('../service/OracleService')

class adqVerifItHrComandaModel {
    constructor() {
        this.GET_ADQVERIFITHRCOMANDA = `
            SELECT
               *
            FROM
               ITHRCOMANDA
            WHERE
               (CDFILIAL   = :P_CDFILIAL  ) AND
               (NRSEQUITEM = :P_NRSEQUITEM) AND
               (CDPRODUTO = :P_CDPRODUTO) AND
               (DTHRPEDIDO = :P_DTHRPEDIDO)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFITHRCOMANDA, params);
        })
    }
}  

module.exports = new adqVerifItHrComandaModel();